Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.metadata
Interface FunctionCollection.RelationalBinding

All Superinterfaces:
  FunctionCollection.DataSourceBinding, java.io.Serializable

All Known Subinterfaces:
  FunctionCollection.CNFRelationalBinding

Enclosing interface:
  FunctionCollection

    public static interface FunctionCollection.RelationalBinding

extends FunctionCollection.DataSourceBinding

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.ld.metadata.FunctionCollection.DataSourceBinding
`FunctionCollection.DataSourceBinding.Kind`

Method Summary
`java.lang.String` | `getDataSource()`
`java.lang.String` | `getProviderId()`
`java.lang.String` | `getRDBMSType()`
`java.lang.String` | `getRDBMSVersion()`
`java.lang.String` | `getSourceBindingProviderClass()`
`boolean` | `isCNF()`

Methods inherited from interface com.bea.ld.metadata.FunctionCollection.DataSourceBinding
`getKind`

Method Detail

### getDataSource

    java.lang.String getDataSource()

  Returns:
    The JNDI name of the relational data source. `null`for CNF bindings. Otherwise, non-`null`.``

### isCNF

    boolean isCNF()

  Returns:
    `true` if the binding pertains to custom native functions. Otherwise, `false`.

### getProviderId

    java.lang.String getProviderId()

  Returns:
    The identifier of the relational provider. May not be `null`.

### getRDBMSType

    java.lang.String getRDBMSType()

  Returns:
    The RDBMS type. May be `null`.

### getRDBMSVersion

    java.lang.String getRDBMSVersion()

  Returns:
    The RDBMS version. May be `null`.

### getSourceBindingProviderClass

    java.lang.String getSourceBindingProviderClass()

  Returns:
    The fully qualified name of the Java class designated as the source binding provider. May be `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.